export declare function postponeUntil(postponed: Function, predicate: () => boolean, delayInterval?: number, maxDelay?: number): Promise<unknown>;
export declare class Postponer {
    private timeoutId;
    postponeUntil(postponed: Function, predicate: () => boolean, delayInterval?: number, maxDelay?: number): Promise<unknown>;
}
